Bug 86439 - [NEW PORT] games/doom-data - Doom data files (Doom, Doom II, Hexen, Heretic and Strife)
Summary: [NEW PORT] games/doom-data - Doom data files (Doom, Doom II, Hexen, Heretic a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-22 01:00 UTC by Alejandro Pulver
Modified: 2005-11-17 12:09 UTC (History)
0 users

See Also:


Attachments
doom-data.shar (5.12 KB, text/plain)
2005-09-22 01:00 UTC, Alejandro Pulver
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Pulver 2005-09-22 01:00:30 UTC

    
Comment 1 Simon Barner freebsd_committer 2005-09-22 22:07:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Okay, I'll do it :-) 

My plan is to migrate the existing DooM based ports first, 
and adding the new ones later.
Comment 2 Alejandro Pulver 2005-09-26 00:18:47 UTC
>Submitter-Id:	current-users 
>Originator:	Alejandro Pulver 
>Organization:	 
>Confidential:	no 
>Synopsis:	Re: ports/86439: [NEW PORT] games/doom-data - Doom data files (Doom, Doom II, Hexen, Heretic and Strife) 
>Severity:	non-critical 
>Priority:	low 
>Category:	ports 
>Class:		change-request 
>Release:	FreeBSD 5.4-RELEASE i386 
>Environment:





>Description:


This shar replaces the older one and all the previous patches.


>How-To-Repeat:





>Fix:


--- quake-data.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	quake-data
#	quake-data/Makefile
#	quake-data/pkg-descr
#	quake-data/distinfo
#	quake-data/pkg-plist
#	quake-data/Makefile.include
#
echo c - quake-data
mkdir -p quake-data > /dev/null 2>&1
echo x - quake-data/Makefile
sed 's/^X//' >quake-data/Makefile << 'END-of-quake-data/Makefile'
X# New ports collection makefile for:	quake-data
X# Date created:				11 Sep 2005
X# Whom:					Alejandro Pulver <alejandro@varnet.biz>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	data
XPORTVERSION=	1.0.6
XCATEGORIES=	games
XMASTER_SITES=	http://www.libsdl.org/projects/quake/data/:qs
XDISTNAME=	quakesw-${PORTVERSION}
XDISTFILES=	${DISTNAME}${EXTRACT_SUFX}:qs
XDIST_SUBDIR=	${PKGNAMEPREFIX}${PORTNAME}
XEXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
X
XMAINTAINER=	alejandro@varnet.biz
XCOMMENT=	Quake data files
X
XNO_BUILD=	yes
XNO_WRKSUBDIR=	yes
X
XOPTIONS=	FULL "Install full version" off \
X		QUAKEWORLD "Install QuakeWorld data" on \
X		QUAKEWORLD_SKINS "Install QuakeWorld skins" on
X
XPROGFILE=	qwsv-2.30-glibc-i386-unknown-linux2.0.tar.gz
XSKINFILES=	skinbase.zip qw_skins.zip
X
X.include "Makefile.include"
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_FULL)
XDISTFILES+=	pak1.pak
XPLIST_SUB+=	FULL=""
X.else
XPLIST_SUB+=	FULL="@comment "
X.endif
X
X.if defined(WITH_QUAKEWORLD)
XMASTER_SITES+=	ftp://ftp.idsoftware.com/idstuff/quakeworld/unix/:qw
XDISTFILES+=	${PROGFILE}:qw
XEXTRACT_ONLY+=	${PROGFILE}
XPLIST_SUB+=	QUAKEWORLD=""
X
X.if defined(WITH_QUAKEWORLD_SKINS)
XMASTER_SITES+=	ftp://ftp.idsoftware.com/idstuff/quakeworld/skins/:skins
XDISTFILES+=	${SKINFILES:S/$/:skins/}
XEXTRACT_DEPENDS+=	unzip:${PORTSDIR}/archivers/unzip
XPLIST_SUB+=	QUAKEWORLD_SKINS=""
X.else
XPLIST_SUB+=	QUAKEWORLD_SKINS="@comment "
X.endif
X
X.else
XPLIST_SUB+=	QUAKEWORLD="@comment "
X.endif	# WITH_QUAKEWORLD
X
Xpre-fetch:
X.if defined(WITH_FULL) && !exists(${DISTDIR}/${DIST_SUBDIR}/pak1.pak)
X	@${ECHO_CMD}
X	@${ECHO_CMD} You need to copy the file pak1.pak from the original Quake CDROM to ${DISTDIR}/${DIST_SUBDIR} in order to install this port. | ${FMT}
X	@${ECHO_CMD}
X	@${FALSE}
X.endif
X
Xdo-install:
X	@${MKDIR} ${DATADIR}
X	@${MKDIR} ${DATADIR}/id1
X	@${INSTALL_DATA} ${WRKSRC}/id1/pak0.pak ${DATADIR}/id1
X.if defined(WITH_FULL)
X	@${INSTALL_DATA} ${DISTDIR}/${DIST_SUBDIR}/pak1.pak ${DATADIR}/id1
X.endif
X.if defined(WITH_QUAKEWORLD)
X	@${MKDIR} ${DATADIR}/qw
X	@${INSTALL_DATA} ${WRKSRC}/qw/qwprogs.dat ${DATADIR}/qw
X	@${MKDIR} ${DATADIR}/qw/skins
X	@${INSTALL_SCRIPT} ${WRKSRC}/qw/skins/fixskins.sh ${DATADIR}/qw/skins
X.   if defined(WITH_QUAKEWORLD_SKINS)
X.	for f in ${SKINFILES}
X		@${UNZIP_CMD} -nq ${DISTDIR}/${DIST_SUBDIR}/${f} \
X			-d ${DATADIR}/qw/skins
X.	endfor
X		@(cd ${DATADIR}/qw/skins && LANG=C ./fixskins.sh *)
X.   endif
X.endif	# WITH_QUAKEWORLD
X
X.include <bsd.port.post.mk>
END-of-quake-data/Makefile
echo x - quake-data/pkg-descr
sed 's/^X//' >quake-data/pkg-descr << 'END-of-quake-data/pkg-descr'
XQuake data files.
X
XThis port installs the data files needed to run Quake.
X
XYou still need to have a legitimate copy of the game in order to obtain
Xthe full game, otherwise you can use the shareware version.
X
XThis port can also install the QuakeWorld data files, skins and sources.
END-of-quake-data/pkg-descr
echo x - quake-data/distinfo
sed 's/^X//' >quake-data/distinfo << 'END-of-quake-data/distinfo'
XMD5 (quake-data/quakesw-1.0.6.tar.gz) = 663b749612d55de29f74966ec3168918
XSIZE (quake-data/quakesw-1.0.6.tar.gz) = 8583554
XMD5 (quake-data/pak1.pak) = d76b3e5678f0b64ac74ce5e340e6a685
XSIZE (quake-data/pak1.pak) = 34257856
XMD5 (quake-data/qwsv-2.30-glibc-i386-unknown-linux2.0.tar.gz) = 75333c66edd156a1695452d3971169d7
XSIZE (quake-data/qwsv-2.30-glibc-i386-unknown-linux2.0.tar.gz) = 205578
XMD5 (quake-data/skinbase.zip) = 12f3956955c25aa0d508a4d10e7e0532
XSIZE (quake-data/skinbase.zip) = 18284
XMD5 (quake-data/qw_skins.zip) = b82f6246276f6013835fab2e76455c65
XSIZE (quake-data/qw_skins.zip) = 1466694
END-of-quake-data/distinfo
echo x - quake-data/pkg-plist
sed 's/^X//' >quake-data/pkg-plist << 'END-of-quake-data/pkg-plist'
X%%DATADIR%%/id1/pak0.pak
X%%FULL%%%%DATADIR%%/id1/pak1.pak
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/311.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/311.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/amish.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/ammoskin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/antimatr.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/antimatr.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/archonsm.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/archonsm.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/axis.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/base.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/base.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/bblades.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/bblades.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/bearian.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/bearian.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/bioforce.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/bioforce.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/blacklor.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/blacklor.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/boc-skin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/boc-skin.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/borg.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/borg.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/campq.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/campq.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/caveman.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/caveman.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/clanborg.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/clanborg.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/cnaetoph.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/cnaetoph.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/corporat.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/corporat.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/cronus.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/cronus.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/cthulhu1.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/cthulhu1.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/dcskin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/deathsqu.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/deathsqu.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/defender.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/defender.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/demonicc.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/devilsad.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/devilsad.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/discordi.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/discordi.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/empyrean.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/entropy.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/entropy.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/evilclow.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/evilclow.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/evilempi.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/evilempi.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/fbi.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/fbi.txt
X%%QUAKEWORLD%%%%DATADIR%%/qw/skins/fixskins.sh
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/fruits.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/gibmoon.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/gibmoon.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/glodskin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/glodskin.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/goodfell.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/goodfell.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/grendel.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/grendel.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/heavensd.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/hiwaay.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/hiwaay.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/hiwaayme.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/hiwaayme.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/imperial.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/imperial.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/impulse9.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/impulse9.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/inferno.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/inpraise.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/inpraise.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/jiba.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/jiba.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/jump.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/jump.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/knightso.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/knightso.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/knightst.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/knightst.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/mario.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/misfits.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/misfits.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/mod.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/mynx.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/newskin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/nimbus.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/nimbus.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/nwtc.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/nwtc.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/omega7.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/omega7.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/original.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/original.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/outlaws.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/outlaws.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/p2k.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/painland.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/painland.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/pantdown.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/pantdown.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/pgwn.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/pgwn.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quakenp.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quakenp.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quakerst.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quakerst.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quasar.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quasar.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quest.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/quest.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/rampire.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/rampire.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/rdcrap8.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/reservoi.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/reservoi.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/revco.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/revco.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/rlg.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/rlg.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/rock.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/rock.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/ruthless.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/ruthless.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/sacredparadox.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/sg5skin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/shad.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/shadows.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/shadows.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/shunters.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/shunters.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/skins.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/sonsofsa.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/sonsofsa.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/sos.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/sos.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/spawncla.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/stomped.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/stomped.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/stoned.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/stoned.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/strikefo.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/strikefo.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/subgeniu.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/subgeniu.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/surfin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/surfin.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/syn.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/syn.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/tards.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/tards.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/tid.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/tid.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/tokay.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/tokay.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/trilogy.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/trilogy.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/ua_skin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/ua_skin.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/undeadel.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/undeadel.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/undergro.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/undergro.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/uninet.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/vermin.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/vermin.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/w5.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/w5.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/watchmen.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/watchmen.txt
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/wolfpak.pcx
X%%QUAKEWORLD%%%%QUAKEWORLD_SKINS%%%%DATADIR%%/qw/skins/wolfpak.txt
X%%QUAKEWORLD%%%%DATADIR%%/qw/qwprogs.dat
X%%QUAKEWORLD%%@dirrm %%DATADIR%%/qw/skins
X%%QUAKEWORLD%%@dirrm %%DATADIR%%/qw
X@dirrm %%DATADIR%%/id1
X@dirrm %%DATADIR%%
END-of-quake-data/pkg-plist
echo x - quake-data/Makefile.include
sed 's/^X//' >quake-data/Makefile.include << 'END-of-quake-data/Makefile.include'
X# Makefile for defining variables used by other Quake related ports.
X
X# Determine if the port is a Quake engine.
X
XQ1ENGINES=	quakeforge darkplaces fuhquake tenebrae
X
X.for f in ${Q1ENGINES}
X.   if ${PORTNAME} == ${f}
XENGINE=		yes
X.   endif
X.endfor
X
X# Package name prefix.
X
XQ1PKGNAMEPREFIX=quake-
X
X.if !defined(ENGINE)
XPKGNAMEPREFIX?=	${Q1PKGNAMEPREFIX}
X.endif
X
X# Dependency to "games/quake-data".
X
X.if ${PORTNAME} != "data"
XRUN_DEPENDS+=	${Q1DIR}/id1/pak0.pak:${PORTSDIR}/games/quake-data
X.endif
X
X# Installation directories.
X
XQ1DIR=		${LOCALBASE}/share/quake
X
X.if defined(ENGINE) || ${PORTNAME} == "data"
XDATADIR?=	${Q1DIR}
X.else
XDATADIR?=	${Q1DIR}/${PORTNAME}
X.endif
X
XDOCSDIR?=	${PREFIX}/share/doc/${PKGNAMEPREFIX}${PORTNAME}
X
XPLIST_SUB+=	Q1DIR="${Q1DIR:S/${PREFIX}\///}"
END-of-quake-data/Makefile.include
exit

--- quake-data.shar ends here ---
Comment 3 Simon Barner freebsd_committer 2005-11-15 20:15:21 UTC
State Changed
From-To: open->patched

PR analysed, ready commit. Waiting for feedback on ports/86445, so we 
can do the whole DooM conversion in one sweep.
Comment 4 Simon Barner freebsd_committer 2005-11-17 12:09:01 UTC
State Changed
From-To: patched->closed

Committed. Thanks!